RDKit: RDKit::MolStandardize::Uncharger Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolStandardize::Uncharger Class Reference

The Uncharger class for neutralizing ionized acids and bases. More...

`#include <Charge.h>`

## Public Member Functions
| Uncharger ()
| Uncharger (bool canonicalOrdering)
| Uncharger (bool canonicalOrdering, bool force)
| Uncharger (bool canonicalOrdering, bool force, bool protonationOnly)
| Uncharger (const Uncharger &)=default
| ~Uncharger ()=default
ROMol * | uncharge (const ROMol &mol)
void | unchargeInPlace (RWMol &mol)

## Detailed Description

The Uncharger class for neutralizing ionized acids and bases.

Notes:

- This class uncharges molecules by adding and/or removing hydrogens.
  - For zwitterions, hydrogens are moved to eliminate charges where possible.
  - By default, in cases where there is a positive or negative charge that is not possible to remove, an attempt is made to also preserve the corresponding amount of opposite charge and result in an overall neutral output structure.
  - When the `force` option is set, all neutralizable sites are uncharged, also when not-removable charges are present and the resulting overall charge is therefore not null.
  - By default, the removal of the existing charges is performed with the addition or subtraction of both protons and hydride ions as appropriate. If the `protonationOnly` option is enabled, the transformations applying to the input structure are limited to changes in its protonation state and charges that would otherwise require the exchange of a hydride ion (e.g., carbocations) are handled as not-removable.

Definition at line 136 of file Charge.h.

## Constructor & Destructor Documentation

## ◆ Uncharger() [1/5]

RDKit::MolStandardize::Uncharger::Uncharger | ( |  | ) |

Referenced by Uncharger(), Uncharger(), Uncharger(), and Uncharger().

## ◆ Uncharger() [2/5]

RDKit::MolStandardize::Uncharger::Uncharger | ( | bool | canonicalOrdering | ) |
| inline

Definition at line 139 of file Charge.h.

References Uncharger().

## ◆ Uncharger() [3/5]

RDKit::MolStandardize::Uncharger::Uncharger | ( | bool | canonicalOrdering,
|  | bool | force )
| inline

Definition at line 142 of file Charge.h.

References Uncharger().

## ◆ Uncharger() [4/5]

RDKit::MolStandardize::Uncharger::Uncharger | ( | bool | canonicalOrdering,
|  | bool | force,
|  | bool | protonationOnly )
| inline

Definition at line 146 of file Charge.h.

References Uncharger().

## ◆ Uncharger() [5/5]

RDKit::MolStandardize::Uncharger::Uncharger | ( | const Uncharger & |  | ) |
| default

References Uncharger().

## ◆ ~Uncharger()

RDKit::MolStandardize::Uncharger::~Uncharger | ( |  | ) |
| default

## Member Function Documentation

## ◆ uncharge()

ROMol * RDKit::MolStandardize::Uncharger::uncharge | ( | const ROMol & | mol | ) |

## ◆ unchargeInPlace()

void RDKit::MolStandardize::Uncharger::unchargeInPlace | ( | RWMol & | mol | ) |

The documentation for this class was generated from the following file:

- Charge.h